com.microfocus.awm.meta.interfaces

## Interface ISAPanelCommand

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ISAPanelCommandImpl

      public interface ISAPanelCommand
      extends AWMObject

  ISA_ISPFPanelCommand is a complex attribute that can be modeled for a tool descriptor with the tool descriptor type “ISPF_PANEL_COMMAND”. It configures the execution of a panel or line command within an ISPF panel.

  The following features are supported:

  - `Command Name`
  - `Command Variable`
  See Also:
    `TaurusPackage.getISAPanelCommand()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommandName()` Returns the value of the 'Command Name' attribute.
    `Property` | `getCommandVariable()` Returns the value of the 'Command Variable' reference.
    `void` | `setCommandName(java.lang.String value)` Sets the value of the '`Command Name`' attribute.
    `void` | `setCommandVariable(Property value)` Sets the value of the '`Command Variable`' reference.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCommandName

          java.lang.String getCommandName()

      Returns the value of the 'Command Name' attribute.
      Value of the command
      Returns:
        the value of the 'Command Name' attribute.
      See Also:
        `setCommandName(String)`, `TaurusPackage.getISAPanelCommand_CommandName()`

    - #### setCommandName

          void setCommandName(java.lang.String value)

      Sets the value of the '`Command Name`' attribute.
      Parameters:
        `value` - the new value of the 'Command Name' attribute.
      See Also:
        `getCommandName()`

    - #### getCommandVariable

          Property getCommandVariable()

      Returns the value of the 'Command Variable' reference. Property in which the command is expected to be returned.
      Returns:
        the value of the 'Command Variable' reference.
      See Also:
        `setCommandVariable(Property)`, `TaurusPackage.getISAPanelCommand_CommandVariable()`

    - #### setCommandVariable

          void setCommandVariable(Property value)

      Sets the value of the '`Command Variable`' reference.
      Parameters:
        `value` - the new value of the 'Command Variable' reference.
      See Also:
        `getCommandVariable()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.